var parse = require('./').parse;
var serialize = require('serialize-js');

var tests = [
    "class A { static() {} }",
    "class A { *static() {} }"
];

function fix(obj) {
  if (typeof obj !== "object" || obj === null) return;
  delete obj.start;
  delete obj.end;
  delete obj.raw;
  for (var prop in obj) {
    fix(obj[prop]);
  }
}

tests.forEach(function (test) {
  var ast = parse(test, {ecmaVersion: 6, ranges: true});
  fix(ast);
  console.log('test(' + serialize(test) + ", " + serialize(ast) + ", " + serialize({
    ecmaVersion: 6,
    ranges: true,
    locations: true,
    loose: false
  }) + ");\n");
});
